Open CASCADE Technology: Data Fields

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- f : math_BissecNewton
- Face() : BiTgte_Blend , BOPAlgo_BuilderFace , BOPAlgo_WireEdgeSet , BRepAdaptor_Curve2d , BRepAdaptor_Surface , BRepBuilderAPI_MakeFace , BRepClass3d_Intersector3d , BRepClass3d_SClassifier , BRepClass_Edge , BRepExtrema_SolutionElem , BRepFill , BRepFill_Filling , BRepFill_Pipe , BRepIntCurveSurface_Inter , BRepLib_MakeFace , BRepMesh_FaceAttribute , BRepOffset_Offset , BRepPrim_FaceBuilder , BRepPrim_GWedge , BRepPrimAPI_MakeOneAxis , DBRep_Face , IGESSolid_Shell , IntCurvesFace_Intersector , IntCurvesFace_ShapeIntersector , IntTools_EdgeFace , IntTools_PntOnFace , LocOpe_PntFace , ShapeAnalysis_Wire , ShapeFix_Face , ShapeFix_Wire , StepShape_ReversibleTopologyItem , TopoDS , TopOpeBRep_EdgesFiller , TopOpeBRep_EdgesIntersector , TopOpeBRep_FacesFiller , TopOpeBRep_FacesIntersector , TopOpeBRep_Hctxff2d , TopOpeBRepBuild_CorrectFace2d , TopOpeBRepBuild_FaceBuilder , TopOpeBRepBuild_SolidBuilder , TopOpeBRepBuild_WireEdgeSet , TopOpeBRepDS_Explorer , TopOpeBRepTool_C2DF , TransferBRep_ShapeBinder , TransferBRep_ShapeListBinder
- Face1() : IntTools_FaceFace
- Face2() : IntTools_FaceFace
- FaceAnalysis() : BRepBuilderAPI_Sewing
- FaceBound() : Prs3d_ShapeTool , StepShape_ReversibleTopologyItem
- FaceBoundaryAspect() : Prs3d_Drawer
- FaceBoundaryDraw() : Prs3d_Drawer
- FaceCenter() : IGESSolid_ConeFrustum , IGESSolid_Cylinder
- FaceCurves() : TopOpeBRepDS_HDataStructure
- FaceElement() : StepShape_OrientedFace
- FaceFaceTransition() : TopOpeBRep_FacesFiller , TopOpeBRep_LineInter
- FaceFilter() : TestTopOpe_BOOP
- FaceGeometry() : StepShape_FaceSurface
- FaceHasIntL() : HLRTopoBRep_Data
- FaceHasIsoL() : HLRTopoBRep_Data
- FaceHasOutL() : HLRTopoBRep_Data
- FaceIndex() : HLRAlgo_PolyData
- FaceInfo() : BOPDS_DS
- FaceInfoIn() : BOPDS_DS
- FaceInfoOn() : BOPDS_DS
- FaceInfoPool() : BOPDS_DS
- FaceInter() : BRepOffset_Inter3d
- FaceIntL() : HLRTopoBRep_Data , HLRTopoBRep_FaceData
- FaceIsoL() : HLRTopoBRep_Data , HLRTopoBRep_FaceData
- FaceMap() : HLRBRep_Data
- FaceMode() : BRepBuilderAPI_Sewing
- FaceOutL() : HLRTopoBRep_Data , HLRTopoBRep_FaceData
- FaceParameter() : BRepExtrema_SolutionElem
- FaceReducer() : TestTopOpe_BOOP
- Faces() : BOPAlgo_MakerVolume , BOPDS_CommonBlock , BRepLib_FuseEdges , TopOpeBRepTool_FuseEdges , TopOpeBRepTool_PurgeInternalEdges
- FaceSameOrientedWithRef() : TopOpeBRep_Hctxff2d
- FacesForDraft() : BRepFeat_RibSlot
- FacesFromEdges() : BRepLib_MakeShape , QANewBRepNaming_Chamfer , QANewBRepNaming_Fillet
- FacesFromVertices() : QANewBRepNaming_Fillet
- FacesOfEdge() : Prs3d_ShapeTool
- FacesSameOriented() : TopOpeBRep_EdgesIntersector , TopOpeBRep_Hctxff2d , TopOpeBRepTool_ShapeTool
- FacesSupport() : TopOpeBRepDS_GapTool
- FaceStatus() : BRepLib_MakeShape , BRepLib_MakeSolid
- Faceted() : TopoDSToStep_Tool
- FacetedBrep() : StepShape_FacetedBrepAndBrepWithVoids
- FacetedBrepShapeRepresentation() : StepAP214_AutoDesignGroupedItem
- FaceType() : Vrml_ShapeHints
- FaceUntil() : BRepFeat
- FacsimileNumber() : StepBasic_Address
- factor : TEL_POFFSET_PARAM
- FactorBandedMatrix() : BSplCLib
- Factory() : BinDrivers , BinLDrivers , BinTObjDrivers , BinXCAFDrivers , BOPTest , DPrsStd , FWOSDriver , MDocStd , QADraw , StdDrivers , StdLDrivers , TestTopOpe , TObjDRAW , ViewerTest , XCAFDrivers , XDEDRAW , XmlDrivers , XmlLDrivers , XmlTObjDrivers , XmlXCAFDrivers , XSDRAWSTLVRML
- Fail() : Interface_Check
- Failed() : OSD_DirectoryIterator , OSD_Disk , OSD_Environment , OSD_EnvironmentIterator , OSD_Error , OSD_FileIterator , OSD_FileNode , OSD_Host , OSD_Printer , OSD_Process , TFunction_Function
- FailEnumValue() : StepData_StepReaderData
- Fails() : Interface_Check
- FairCurve_Batten() : FairCurve_Batten
- FairCurve_BattenLaw() : FairCurve_BattenLaw
- FairCurve_DistributionOfEnergy() : FairCurve_DistributionOfEnergy
- FairCurve_DistributionOfJerk() : FairCurve_DistributionOfJerk
- FairCurve_DistributionOfSagging() : FairCurve_DistributionOfSagging
- FairCurve_DistributionOfTension() : FairCurve_DistributionOfTension
- FairCurve_Energy() : FairCurve_Energy
- FairCurve_EnergyOfBatten() : FairCurve_EnergyOfBatten
- FairCurve_EnergyOfMVC() : FairCurve_EnergyOfMVC
- FairCurve_MinimalVariation() : FairCurve_MinimalVariation
- FairCurve_Newton() : FairCurve_Newton
- FairCurveCommands() : GeometryTest
- Family() : Interface_Static , Vrml_FontStyle
- Farest() : AIS
- Fastof() : Interface_FileReaderData
- FastValue() : MoniTool_Profile
- Father() : MAT2d_MiniPath , TDataStd_TreeNode , TDF_Label , TDF_LabelNode
- FatherIndex() : PXCAFDoc_GraphNode , XCAFDoc_GraphNode
- FaultyContour() : BRepFilletAPI_MakeFillet , ChFi3d_Builder
- FaultyVertex() : BRepFilletAPI_MakeFillet , ChFi3d_Builder
- FavorIso() : AdvApp2Var_Context
- FBOChangeViewport() : Graphic3d_GraphicDriver , OpenGl_GraphicDriver , Visual3d_View
- FBOCreate() : Graphic3d_GraphicDriver , OpenGl_GraphicDriver , OpenGl_Workspace , Visual3d_View
- FBOGetDimensions() : Graphic3d_GraphicDriver , OpenGl_GraphicDriver , Visual3d_View
- FBORelease() : Graphic3d_GraphicDriver , OpenGl_GraphicDriver , OpenGl_Workspace , Visual3d_View
- FbsmFaces() : StepShape_FaceBasedSurfaceModel
- FCallbackBeforeTerminate : Draw_Window
- FClass2d() : IntTools_Context
- FDataArray() : HLRBRep_Data
- FdValue() : APIHeaderSection_MakeHeader
- FeaAxis2Placement3d() : StepFEA_CurveElementEndCoordinateSystem
- FeaColumnNormalisedMonoclinicSymmetricTensor43d() : StepFEA_SymmetricTensor43d
- FeaColumnNormalisedOrthotropicSymmetricTensor43d() : StepFEA_SymmetricTensor43d
- FeaConstant() : StepFEA_FeaAreaDensity , StepFEA_FeaMassDensity
- FeaConstants() : StepFEA_FeaLinearElasticity , StepFEA_FeaMoistureAbsorption , StepFEA_FeaSecantCoefficientOfLinearThermalExpansion , StepFEA_FeaShellBendingStiffness , StepFEA_FeaShellMembraneBendingCouplingStiffness , StepFEA_FeaShellMembraneStiffness , StepFEA_FeaShellShearStiffness , StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion
- FeaIsoOrthotropicSymmetricTensor43d() : StepFEA_SymmetricTensor43d
- FeaIsotropicSymmetricTensor43d() : StepFEA_SymmetricTensor43d
- FeaModel() : StepAP209_Construct
- FeaTransverseIsotropicSymmetricTensor43d() : StepFEA_SymmetricTensor43d
- Feature() : TNaming_Identifier
- FeatureArg() : TNaming_Identifier
- FeatureCommands() : BRepTest , QANewDBRepNaming
- FEmTool_Assembly() : FEmTool_Assembly
- FEmTool_AssemblyTable() : FEmTool_AssemblyTable
- FEmTool_Curve() : FEmTool_Curve
- FEmTool_ElementsOfRefMatrix() : FEmTool_ElementsOfRefMatrix
- FEmTool_HAssemblyTable() : FEmTool_HAssemblyTable
- FEmTool_LinearFlexion() : FEmTool_LinearFlexion
- FEmTool_LinearJerk() : FEmTool_LinearJerk
- FEmTool_LinearTension() : FEmTool_LinearTension
- FEmTool_ListIteratorOfListOfVectors() : FEmTool_ListIteratorOfListOfVectors
- FEmTool_ListNodeOfListOfVectors() : FEmTool_ListNodeOfListOfVectors
- FEmTool_ListOfVectors() : FEmTool_ListOfVectors
- FEmTool_ProfileMatrix() : FEmTool_ProfileMatrix
- FEmTool_SeqOfLinConstr() : FEmTool_SeqOfLinConstr
- FEmTool_SequenceNodeOfSeqOfLinConstr() : FEmTool_SequenceNodeOfSeqOfLinConstr
- FetchInfoLog() : OpenGl_ShaderObject , OpenGl_ShaderProgram
- FetchState() : OpenGl_Context
- Ffinite() : TopOpeBRepTool_face
- ffpEnable : OpenGl_Caps
- Field() : StepData_Described , StepData_ESDescr , StepData_FieldList1 , StepData_FieldList , StepData_FieldListD , StepData_FieldListN , StepData_FreeFormEntity , StepData_Plex , StepData_SelectNamed , StepData_Simple
- FieldName() : StepData_PDescr
- FieldNum() : StepData_Simple
- FieldRank() : StepData_PDescr
- Fields() : StepData_Simple
- File() : IFSelect_Activator
- FileAndVar() : XSControl_FuncShape , XSDRAW
- FileExtension() : CDM_Document , IFSelect_WorkSession
- FileFormat() : PCDM_ReadWriter
- FileId() : IGESBasic_ExternalRefFile , IGESBasic_ExternalRefFileName
- FileIterator() : UTL
- FileModel() : IFSelect_ModelCopier , IFSelect_WorkSession
- FileModifier() : IFSelect_ContextWrite
- FileName() : CDM_MetaData , IFSelect_ContextModif , IFSelect_ContextWrite , IFSelect_ModelCopier , IFSelect_ShareOut , IFSelect_ShareOutResult , IFSelect_WorkSession , IGESData_GlobalSection , PCDM_Reference , STEPConstruct_ExternRefs , Transfer_ResultFromModel , Units_Lexicon
- Filename() : Vrml_Texture2
- FileName() : XSControl_TransferReader
- FileName2() : Units_UnitsLexicon
- FileNotFound() : TransferBRep_Reader
- FilePrefix() : IFSelect_WorkSession
- FileRoot() : IFSelect_WorkSession
- FileStatus() : TransferBRep_Reader
- FileUnits() : STEPControl_Reader
- Fill() : ChFiDS_Map , HLRTopoBRep_OutLiner , NCollection_UBTreeFiller< TheObjType, TheBndType > , Prs3d_Arrow , PrsMgr_PresentableObject , Transfer_ResultFromModel , Transfer_ResultFromTransient
- FillArea() : StepVisual_SurfaceStyleFillArea
- FillArea3dAspect() : Graphic3d_Structure , Graphic3d_StructureManager
- FillAreaStyleColour() : StepVisual_FillStyleSelect
- FillArrayOfEdges() : IntPolyh_MaillageAffinage
- FillArrayOfPnt() : IntPolyh_MaillageAffinage
- FillArrayOfTriangles() : IntPolyh_MaillageAffinage
- FillBack() : Transfer_ResultFromModel , Transfer_ResultFromTransient
- FillBndBox() : ShapeAnalysis_Curve
- FillBounding() : HLRBRep_ThePolyhedronOfInterCSurf , IntCurveSurface_ThePolyhedronOfHInter , IntPatch_Polyhedron
- FillCheck() : Interface_CheckTool
- FillColour() : StepVisual_FillAreaStyleColour
- Fillet2DCommands() : BRepTest
- FilletCommands() : BRepTest , ViewerTest
- FilletEdges() : BRepFilletAPI_MakeFillet2d , ChFi2d_Builder
- FilletPoint() : FilletPoint
- FilletSurf_Builder() : FilletSurf_Builder
- FilletSurf_InternalBuilder() : FilletSurf_InternalBuilder
- FillFace() : TopOpeBRepBuild_Builder
- FillImagesCompound() : BOPAlgo_Builder
- FillImagesCompounds() : BOPAlgo_Builder
- FillImagesContainer() : BOPAlgo_Builder
- FillImagesContainers() : BOPAlgo_Builder
- FillImagesEdges() : BOPAlgo_Builder
- FillImagesFaces() : BOPAlgo_Builder
- FillImagesFaces1() : BOPAlgo_Builder
- FillImagesSolids() : BOPAlgo_Builder
- FillImagesVertices() : BOPAlgo_Builder
- FillIn3DParts() : BOPAlgo_Builder , BRepFeat_Builder
- FillingCommands() : BRepTest
- FillInternalShapes() : BOPAlgo_Builder , BOPAlgo_MakerVolume
- FillInVolume() : Voxel_FastConverter
- FillIterator() : IFSelect_SelectBase , IFSelect_SelectCombine , IFSelect_SelectControl , IFSelect_SelectDeduct , IFSelect_Selection , Interface_EntityCluster , Interface_EntityList , Interface_InterfaceModel
- FillLine() : TopOpeBRep_FacesFiller
- FillLineVPonR() : TopOpeBRep_FacesFiller
- FillListWithGraph() : STEPSelections_AssemblyExplorer
- FillMap() : BOPAlgo_Tools , Transfer_ResultFromTransient
- FillModel() : Interface_CopyTool , Transfer_TransferInput
- FillOnGeometry() : TopOpeBRepDS_TKI
- FillOnPatches() : TopOpeBRepBuild_Builder
- FillOnSupport() : TopOpeBRepDS_TKI
- FillPaves() : BOPAlgo_PaveFiller
- FillProperties() : ShapeAnalysis_FreeBoundsProperties
- FillRemoved() : BRepFeat_Builder
- FillResult() : IFSelect_SelectAnyList , IFSelect_SelectInList
- FillSameDomainFaces() : BOPAlgo_Builder
- FillSecEdgeAncestorMap() : TopOpeBRepBuild_Builder
- FillSemanticChecks() : Interface_InterfaceModel
- FillShape() : TopOpeBRepBuild_Builder
- FillShapesSameDomain() : TopOpeBRepDS_DataStructure , TopOpeBRepDS_DSS
- FillShared() : Interface_GeneralModule , StepData_FieldList , StepData_UndefinedEntity
- FillSharedCase() : IGESData_GeneralModule , Interface_GeneralModule , RWHeaderSection_GeneralModule , RWStepAP214_GeneralModule , StepData_DefaultGeneral , StepData_DescrGeneral , StepData_GeneralModule
- FillShrunkData() : BOPAlgo_PaveFiller
- FillSolid() : TopOpeBRepBuild_Builder
- FillStyles() : StepVisual_FillAreaStyle
- FillStylesValue() : StepVisual_FillAreaStyle
- FillTime() : Message
- FillVertexSet() : TopOpeBRepBuild_Builder
- FillVertexSetOnValue() : TopOpeBRepBuild_Builder
- Filter() : AIS_LocalContext , BRepAlgo_Image , BRepBuilderAPI_Collect , Graphic3d_TextureParams , TNaming_ShapesSet , TopOpeBRep_DSFiller , Transfer_IteratorOfProcessForFinder , Transfer_IteratorOfProcessForTransient
- FilterByEdge() : TopOpeBRepDS_GapFiller
- FilterByFace() : TopOpeBRepDS_GapFiller
- FilterByIncidentDistance() : TopOpeBRepDS_GapFiller
- FilterPoints() : FilletPoint
- FilterResult : BRepExtrema_ElementFilter
- Filters() : AIS_InteractiveContext
- FinalEntityLabel() : XSControl_TransferReader
- FinalEntityNumber() : XSControl_TransferReader
- FinalModifierIdents() : IFSelect_WorkSession
- FinalResult() : XSControl_TransferReader
- FinalSelection() : IFSelect_Dispatch
- Find() : AIS_DataMapOfILC , AIS_DataMapofIntegerListOfinteractive , AIS_DataMapOfIOStatus , AIS_DataMapOfSelStat , AIS_Selection , BinMDF_TypeADriverMap , BiTgte_DataMapOfShapeBox , BRepAlgo_DataMapOfShapeBoolean , BRepAlgo_DataMapOfShapeInterference , BRepCheck_DataMapOfShapeListOfStatus , BRepCheck_DataMapOfShapeResult , BRepClass3d_MapOfInter , BRepFill_DataMapOfNodeDataMapOfShapeShape , BRepFill_DataMapOfNodeShape , BRepFill_DataMapOfOrientedShapeListOfShape , BRepFill_DataMapOfShapeDataMapOfShapeListOfShape , BRepFill_DataMapOfShapeHArray2OfShape , BRepFill_DataMapOfShapeSequenceOfPnt , BRepFill_DataMapOfShapeSequenceOfReal , BRepIntCurveSurface_Inter , BRepMAT2d_DataMapOfBasicEltShape , BRepMAT2d_DataMapOfShapeSequenceOfBasicElt , BRepOffset_DataMapOfShapeListOfInterval , BRepOffset_DataMapOfShapeMapOfShape , BRepOffset_DataMapOfShapeOffset , BRepTools_MapOfVertexPnt2d , BRepTopAdaptor_MapOfShapeTool , CDF_FWOSDriver , CDF_MetaDataDriver , CDM_MetaDataLookUpTable , CDM_PresentationDirectory , ChFiKPart_RstMap , DDF , DDocStd , DDocStd_DrawDocument , DNaming_DataMapOfShapeOfName , Draft_DataMapOfEdgeEdgeInfo , Draft_DataMapOfFaceFaceInfo , Draft_DataMapOfVertexVertexInfo , Geom2dHatch_Elements , Geom2dHatch_Hatchings , Geom2dHatch_MapOfElements , HLRTopoBRep_DataMapOfShapeFaceData , HLRTopoBRep_MapOfShapeListOfVData , Interface_DataMapOfTransientInteger , IntTools_DataMapOfCurveSampleBox , IntTools_DataMapOfSurfaceSampleBox , LocOpe_DataMapOfShapePnt , MAT2d_DataMapOfBiIntInteger , MAT2d_DataMapOfBiIntSequenceOfInteger , MAT2d_DataMapOfIntegerBisec , MAT2d_DataMapOfIntegerConnexion , MAT2d_DataMapOfIntegerPnt2d , MAT2d_DataMapOfIntegerSequenceOfConnexion , MAT2d_DataMapOfIntegerVec2d , MAT_DataMapOfIntegerArc , MAT_DataMapOfIntegerBasicElt , MAT_DataMapOfIntegerBisector , MAT_DataMapOfIntegerNode , MDF_TypeARDriverMap , MDF_TypeASDriverMap , MDF_TypeDriverListMapOfARDriverTable , MDF_TypeDriverListMapOfASDriverTable , MeshVS_DataMapOfColorMapOfInteger , MeshVS_DataMapOfHArray1OfSequenceOfInteger , MeshVS_DataMapOfIntegerAsciiString , MeshVS_DataMapOfIntegerBoolean , MeshVS_DataMapOfIntegerColor , MeshVS_DataMapOfIntegerMaterial , MeshVS_DataMapOfIntegerMeshEntityOwner , MeshVS_DataMapOfIntegerOwner , MeshVS_DataMapOfIntegerTwoColors , MeshVS_DataMapOfIntegerVector , MeshVS_DataMapOfTwoColorsMapOfInteger , MoniTool_DataMapOfShapeTransient , MoniTool_DataMapOfTimer , NCollection_BaseSequence , NCollection_DataMap< TheKeyType, TheItemType, Hasher > , NCollection_SparseArray< TheItemType > , Plugin_MapOfFunctions , PTColStd_PersistentTransientMap , PTColStd_TransientPersistentMap , QANCollection_DataMapOfRealPnt , Resource_DataMapOfAsciiStringAsciiString , Resource_DataMapOfAsciiStringExtendedString , Resource_Manager , SelectMgr_DataMapOfObjectSelectors , ShapeAnalysis_DataMapOfShapeListOfReal , ShapeExtend_DataMapOfShapeListOfMsg , ShapeExtend_DataMapOfTransientListOfMsg , ShapeFix_DataMapOfShapeBox2d , STEPCAFControl_DataMapOfLabelExternFile , STEPCAFControl_DataMapOfLabelShape , STEPCAFControl_DataMapOfPDExternFile , STEPCAFControl_DataMapOfSDRExternFile , STEPCAFControl_DataMapOfShapePD , STEPCAFControl_DataMapOfShapeSDR , STEPConstruct_DataMapOfAsciiStringTransient , STEPConstruct_DataMapOfPointTransient , StepToTopoDS_DataMapOfRI , StepToTopoDS_DataMapOfRINames , StepToTopoDS_DataMapOfTRI , StepToTopoDS_NMTool , StepToTopoDS_PointEdgeMap , StepToTopoDS_PointVertexMap , StepToTopoDS_Tool , Storage_Data , Storage_MapOfCallBack , Storage_MapOfPers , Storage_RootData , TCollection_BaseSequence , TColStd_DataMapOfAsciiStringInteger , TColStd_DataMapOfIntegerInteger , TColStd_DataMapOfIntegerListOfInteger , TColStd_DataMapOfIntegerReal , TColStd_DataMapOfIntegerTransient , TColStd_DataMapOfStringInteger , TColStd_DataMapOfTransientTransient , TDataStd_DataMapOfStringByte , TDataStd_DataMapOfStringHArray1OfInteger , TDataStd_DataMapOfStringHArray1OfReal , TDataStd_DataMapOfStringReal , TDataStd_DataMapOfStringString , TDataStd_Directory , TDataStd_NoteBook , TDataStd_TreeNode , TDataXtd_Shape , TDF_AttributeDataMap , TDF_LabelDataMap , TDF_LabelIntegerMap , TDocStd_LabelIDMapDataMap , TFunction_DataMapOfGUIDDriver , TFunction_DataMapOfLabelListOfLabel , TNaming_DataMapOfShapePtrRefShape , TNaming_DataMapOfShapeShapesSet , TopoDSToStep_Tool , TopOpeBRep_DataMapOfTopolTool , TopOpeBRepBuild_DataMapOfShapeListOfShapeListOfShape , TopOpeBRepDS_DataMapOfCheckStatus , TopOpeBRepDS_DataMapOfIntegerListOfInterference , TopOpeBRepDS_DataMapOfInterferenceListOfInterference , TopOpeBRepDS_DataMapOfInterferenceShape , TopOpeBRepDS_DataMapOfShapeListOfShapeOn1State , TopOpeBRepDS_DataMapOfShapeState , TopOpeBRepDS_MapOfCurve , TopOpeBRepDS_MapOfIntegerShapeData , TopOpeBRepDS_MapOfPoint , TopOpeBRepDS_MapOfSurface , TopOpeBRepDS_ShapeSurface , TopOpeBRepTool_DataMapOfOrientedShapeC2DF , TopOpeBRepTool_DataMapOfShapeface , TopOpeBRepTool_DataMapOfShapeListOfC2DF , TopTools_DataMapOfIntegerListOfShape , TopTools_DataMapOfIntegerShape , TopTools_DataMapOfOrientedShapeInteger , TopTools_DataMapOfOrientedShapeShape , TopTools_DataMapOfShapeInteger , TopTools_DataMapOfShapeListOfInteger , TopTools_DataMapOfShapeListOfShape , TopTools_DataMapOfShapeReal , TopTools_DataMapOfShapeSequenceOfShape , TopTools_DataMapOfShapeShape , TPrsStd_AISViewer , TPrsStd_DataMapOfGUIDDriver , Transfer_ProcessForFinder , Transfer_ProcessForTransient , UTL , XCAFDoc_DataMapOfShapeLabel , XCAFDoc_GraphNode , XCAFPrs_DataMapOfShapeStyle , XCAFPrs_DataMapOfStyleShape , XCAFPrs_DataMapOfStyleTransient , XmlMDF_MapOfDriver , XmlMDF_TypeADriverMap , XSDRAWSTLVRML_CoordsMap , XSDRAWSTLVRML_ElemNodesMap
- Find1() : AIS_DataMapOfILC , AIS_DataMapofIntegerListOfinteractive , AIS_DataMapOfIOStatus , AIS_DataMapOfSelStat , BinMDF_TypeADriverMap , BinMDF_TypeIdMap , BiTgte_DataMapOfShapeBox , BRepAlgo_DataMapOfShapeBoolean , BRepAlgo_DataMapOfShapeInterference , BRepCheck_DataMapOfShapeListOfStatus , BRepCheck_DataMapOfShapeResult , BRepClass3d_MapOfInter , BRepFill_DataMapOfNodeDataMapOfShapeShape , BRepFill_DataMapOfNodeShape , BRepFill_DataMapOfOrientedShapeListOfShape , BRepFill_DataMapOfShapeDataMapOfShapeListOfShape , BRepFill_DataMapOfShapeHArray2OfShape , BRepFill_DataMapOfShapeSequenceOfPnt , BRepFill_DataMapOfShapeSequenceOfReal , BRepMAT2d_DataMapOfBasicEltShape , BRepMAT2d_DataMapOfShapeSequenceOfBasicElt , BRepOffset_DataMapOfShapeListOfInterval , BRepOffset_DataMapOfShapeMapOfShape , BRepOffset_DataMapOfShapeOffset , BRepTools_MapOfVertexPnt2d , BRepTopAdaptor_MapOfShapeTool , CDM_MetaDataLookUpTable , CDM_PresentationDirectory , ChFiKPart_RstMap , DNaming_DataMapOfShapeOfName , Draft_DataMapOfEdgeEdgeInfo , Draft_DataMapOfFaceFaceInfo , Draft_DataMapOfVertexVertexInfo , Geom2dHatch_Hatchings , Geom2dHatch_MapOfElements , HLRTopoBRep_DataMapOfShapeFaceData , HLRTopoBRep_MapOfShapeListOfVData , Interface_DataMapOfTransientInteger , IntTools_DataMapOfCurveSampleBox , IntTools_DataMapOfSurfaceSampleBox , LocOpe_DataMapOfShapePnt , MAT2d_DataMapOfBiIntInteger , MAT2d_DataMapOfBiIntSequenceOfInteger , MAT2d_DataMapOfIntegerBisec , MAT2d_DataMapOfIntegerConnexion , MAT2d_DataMapOfIntegerPnt2d , MAT2d_DataMapOfIntegerSequenceOfConnexion , MAT2d_DataMapOfIntegerVec2d , MAT_DataMapOfIntegerArc , MAT_DataMapOfIntegerBasicElt , MAT_DataMapOfIntegerBisector , MAT_DataMapOfIntegerNode , MDF_TypeARDriverMap , MDF_TypeASDriverMap , MDF_TypeDriverListMapOfARDriverTable , MDF_TypeDriverListMapOfASDriverTable , MeshVS_DataMapOfColorMapOfInteger , MeshVS_DataMapOfHArray1OfSequenceOfInteger , MeshVS_DataMapOfIntegerAsciiString , MeshVS_DataMapOfIntegerBoolean , MeshVS_DataMapOfIntegerColor , MeshVS_DataMapOfIntegerMaterial , MeshVS_DataMapOfIntegerMeshEntityOwner , MeshVS_DataMapOfIntegerOwner , MeshVS_DataMapOfIntegerTwoColors , MeshVS_DataMapOfIntegerVector , MeshVS_DataMapOfTwoColorsMapOfInteger , MoniTool_DataMapOfShapeTransient , MoniTool_DataMapOfTimer , NCollection_DoubleMap< TheKey1Type, TheKey2Type, Hasher1, Hasher2 > , Plugin_MapOfFunctions , PTColStd_DoubleMapOfTransientPersistent , PTColStd_PersistentTransientMap , PTColStd_TransientPersistentMap , QANCollection_DataMapOfRealPnt , QANCollection_DoubleMapOfRealInteger , Resource_DataMapOfAsciiStringAsciiString , Resource_DataMapOfAsciiStringExtendedString , SelectMgr_DataMapOfObjectSelectors , ShapeAnalysis_DataMapOfShapeListOfReal , ShapeExtend_DataMapOfShapeListOfMsg , ShapeExtend_DataMapOfTransientListOfMsg , ShapeFix_DataMapOfShapeBox2d , STEPCAFControl_DataMapOfLabelExternFile , STEPCAFControl_DataMapOfLabelShape , STEPCAFControl_DataMapOfPDExternFile , STEPCAFControl_DataMapOfSDRExternFile , STEPCAFControl_DataMapOfShapePD , STEPCAFControl_DataMapOfShapeSDR , STEPConstruct_DataMapOfAsciiStringTransient , STEPConstruct_DataMapOfPointTransient , StepToTopoDS_DataMapOfRI , StepToTopoDS_DataMapOfRINames , StepToTopoDS_DataMapOfTRI , StepToTopoDS_PointEdgeMap , StepToTopoDS_PointVertexMap , Storage_MapOfCallBack , Storage_MapOfPers , TColStd_DataMapOfAsciiStringInteger , TColStd_DataMapOfIntegerInteger , TColStd_DataMapOfIntegerListOfInteger , TColStd_DataMapOfIntegerReal , TColStd_DataMapOfIntegerTransient , TColStd_DataMapOfStringInteger , TColStd_DataMapOfTransientTransient , TDataStd_DataMapOfStringByte , TDataStd_DataMapOfStringHArray1OfInteger , TDataStd_DataMapOfStringHArray1OfReal , TDataStd_DataMapOfStringReal , TDataStd_DataMapOfStringString , TDF_AttributeDataMap , TDF_AttributeDoubleMap , TDF_GUIDProgIDMap , TDF_LabelDataMap , TDF_LabelDoubleMap , TDF_LabelIntegerMap , TDocStd_LabelIDMapDataMap , TFunction_DataMapOfGUIDDriver , TFunction_DataMapOfLabelListOfLabel , TFunction_DoubleMapOfIntegerLabel , TNaming_DataMapOfShapePtrRefShape , TNaming_DataMapOfShapeShapesSet , TopOpeBRep_DataMapOfTopolTool , TopOpeBRepBuild_DataMapOfShapeListOfShapeListOfShape , TopOpeBRepDS_DataMapOfCheckStatus , TopOpeBRepDS_DataMapOfIntegerListOfInterference , TopOpeBRepDS_DataMapOfInterferenceListOfInterference , TopOpeBRepDS_DataMapOfInterferenceShape , TopOpeBRepDS_DataMapOfShapeListOfShapeOn1State , TopOpeBRepDS_DataMapOfShapeState , TopOpeBRepDS_DoubleMapOfIntegerShape , TopOpeBRepDS_MapOfCurve , TopOpeBRepDS_MapOfIntegerShapeData , TopOpeBRepDS_MapOfPoint , TopOpeBRepDS_MapOfSurface , TopOpeBRepDS_ShapeSurface , TopOpeBRepTool_DataMapOfOrientedShapeC2DF , TopOpeBRepTool_DataMapOfShapeface , TopOpeBRepTool_DataMapOfShapeListOfC2DF , TopTools_DataMapOfIntegerListOfShape , TopTools_DataMapOfIntegerShape , TopTools_DataMapOfOrientedShapeInteger , TopTools_DataMapOfOrientedShapeShape , TopTools_DataMapOfShapeInteger , TopTools_DataMapOfShapeListOfInteger , TopTools_DataMapOfShapeListOfShape , TopTools_DataMapOfShapeReal , TopTools_DataMapOfShapeSequenceOfShape , TopTools_DataMapOfShapeShape , TPrsStd_DataMapOfGUIDDriver , ViewerTest_DoubleMapOfInteractiveAndName , XCAFDoc_DataMapOfShapeLabel , XCAFPrs_DataMapOfShapeStyle , XCAFPrs_DataMapOfStyleShape , XCAFPrs_DataMapOfStyleTransient , XmlMDF_MapOfDriver , XmlMDF_TypeADriverMap , XSDRAWSTLVRML_CoordsMap , XSDRAWSTLVRML_ElemNodesMap
- Find2() : BinMDF_TypeIdMap , NCollection_DoubleMap< TheKey1Type, TheKey2Type, Hasher1, Hasher2 > , PTColStd_DoubleMapOfTransientPersistent , QANCollection_DoubleMapOfRealInteger , TDF_AttributeDoubleMap , TDF_GUIDProgIDMap , TDF_LabelDoubleMap , TFunction_DoubleMapOfIntegerLabel , TopOpeBRepDS_DoubleMapOfIntegerShape , ViewerTest_DoubleMapOfInteractiveAndName
- FindAPointInTheFace() : BRepClass3d_SolidExplorer
- FindAssociatedPoints() : TopOpeBRepDS_GapFiller
- FindAttribute() : TDF_Attribute , TDF_Label
- FindBestSolution() : IntTools_EdgeEdge
- findBlock() : NCollection_AccAllocator
- FindBounds() : ShapeAnalysis
- FindBox() : IntTools_CurveRangeLocalizeData , IntTools_SurfaceRangeLocalizeData
- FindBrowser() : DDF_AttributeBrowser
- FindBuilder() : MeshVS_Mesh
- FindCandidates() : BRepBuilderAPI_Sewing
- FindCDSR() : STEPConstruct
- FindChild() : TDF_Label
- FindChildByName() : XmlObjMgt
- FindChildByRef() : XmlObjMgt
- FindChildElement() : XmlObjMgt
- FindChoiceDistAngle() : ChFi3d_ChBuilder
- FindColor() : Aspect_ColorScale , XCAFDoc_ColorTool
- FindComponent() : XCAFDoc_ShapeTool
- FindConnection() : Poly_CoherentTriangle
- FindContext() : STEPConstruct_Styles
- FindDataType() : CDM_Document
- FindDatum() : XCAFDoc_DimTolTool
- FindDerivativeRoot() : IntTools_EdgeFace
- FindDescription() : CDM_Document
- FindDimTol() : XCAFDoc_DimTolTool
- FindDomain() : CDM_Document
- FindDriver() : TFunction_DriverTable , TPrsStd_DriverTable
- FindEdge() : StepToTopoDS_Tool
- FindEdges() : BRepBuilderAPI_FastSewing
- FindElseBind() : Transfer_ProcessForFinder , Transfer_ProcessForTransient
- FindEntity() : STEPConstruct
- FinderProcess() : STEPConstruct_Tool , XSControl_TransferWriter , XSDRAW
- FindFacesTouchingEdge() : TopOpeBRepBuild_Builder
- FindFeaturesInAncestors() : TNaming_Localizer
- FindFileExtension() : CDM_Document
- FindFolder() : CDF_FWOSDriver , CDF_MetaDataDriver
- FindFont() : Font_FontMgr , OpenGl_Text
- FindFreeBoundaries() : BRepBuilderAPI_Sewing
- FindFromIndex() : AIS_IndexedDataMapOfOwnerPrs , BRepFill_IndexedDataMapOfOrientedShapeListOfShape , ChFiDS_IndexedDataMapOfVertexListOfStripe , ChFiDS_Map , ChFiDS_StripeMap , IntTools_IndexedDataMapOfTransientAddress , MoniTool_IndexedDataMapOfShapeTransient , NCollection_IndexedDataMap< TheKeyType, TheItemType, Hasher > , QANCollection_IndexedDataMapOfRealPnt , SelectMgr_IndexedDataMapOfOwnerCriterion , StdSelect_IndexedDataMapOfOwnerPrs , Storage_PType , TColStd_IndexedDataMapOfTransientTransient , TopOpeBRepBuild_IndexedDataMapOfShapeVertexInfo , TopOpeBRepDS_IndexedDataMapOfShapeWithState , TopOpeBRepDS_IndexedDataMapOfVertexPoint , TopOpeBRepDS_MapOfShapeData , TopOpeBRepTool_IndexedDataMapOfShapeBox2d , TopOpeBRepTool_IndexedDataMapOfShapeBox , TopOpeBRepTool_IndexedDataMapOfShapeconnexity , TopOpeBRepTool_IndexedDataMapOfSolidClassifier , TopTools_IndexedDataMapOfShapeAddress , TopTools_IndexedDataMapOfShapeListOfShape , TopTools_IndexedDataMapOfShapeShape , Transfer_TransferMapOfProcessForFinder , Transfer_TransferMapOfProcessForTransient
- FindFromKey() : AIS_IndexedDataMapOfOwnerPrs , BRepFill_IndexedDataMapOfOrientedShapeListOfShape , ChFiDS_IndexedDataMapOfVertexListOfStripe , ChFiDS_Map , ChFiDS_StripeMap , IntTools_IndexedDataMapOfTransientAddress , MoniTool_IndexedDataMapOfShapeTransient , NCollection_IndexedDataMap< TheKeyType, TheItemType, Hasher > , QANCollection_IndexedDataMapOfRealPnt , SelectMgr_IndexedDataMapOfOwnerCriterion , StdSelect_IndexedDataMapOfOwnerPrs , Storage_PType , TColStd_IndexedDataMapOfTransientTransient , TopOpeBRepBuild_IndexedDataMapOfShapeVertexInfo , TopOpeBRepDS_IndexedDataMapOfShapeWithState , TopOpeBRepDS_IndexedDataMapOfVertexPoint , TopOpeBRepDS_MapOfShapeData , TopOpeBRepTool_IndexedDataMapOfShapeBox2d , TopOpeBRepTool_IndexedDataMapOfShapeBox , TopOpeBRepTool_IndexedDataMapOfShapeconnexity , TopOpeBRepTool_IndexedDataMapOfSolidClassifier , TopTools_IndexedDataMapOfShapeAddress , TopTools_IndexedDataMapOfShapeListOfShape , TopTools_IndexedDataMapOfShapeShape , Transfer_TransferMapOfProcessForFinder , Transfer_TransferMapOfProcessForTransient
- FindFromKey1() : AIS_IndexedDataMapOfOwnerPrs , BRepFill_IndexedDataMapOfOrientedShapeListOfShape , ChFiDS_IndexedDataMapOfVertexListOfStripe , IntTools_IndexedDataMapOfTransientAddress , MoniTool_IndexedDataMapOfShapeTransient , QANCollection_IndexedDataMapOfRealPnt , SelectMgr_IndexedDataMapOfOwnerCriterion , StdSelect_IndexedDataMapOfOwnerPrs , Storage_PType , TColStd_IndexedDataMapOfTransientTransient , TopOpeBRepBuild_IndexedDataMapOfShapeVertexInfo , TopOpeBRepDS_IndexedDataMapOfShapeWithState , TopOpeBRepDS_IndexedDataMapOfVertexPoint , TopOpeBRepDS_MapOfShapeData , TopOpeBRepTool_IndexedDataMapOfShapeBox2d , TopOpeBRepTool_IndexedDataMapOfShapeBox , TopOpeBRepTool_IndexedDataMapOfShapeconnexity , TopOpeBRepTool_IndexedDataMapOfSolidClassifier , TopTools_IndexedDataMapOfShapeAddress , TopTools_IndexedDataMapOfShapeListOfShape , TopTools_IndexedDataMapOfShapeShape , Transfer_TransferMapOfProcessForFinder , Transfer_TransferMapOfProcessForTransient
- FindFromPresentation() : CDM_Document
- FindGenerator() : TNaming_Localizer
- FindGoldRoot() : IntTools_EdgeFace
- FindIndex() : AIS_IndexedDataMapOfOwnerPrs , BRepFill_IndexedDataMapOfOrientedShapeListOfShape , BRepMesh_VertexTool , ChFiDS_IndexedDataMapOfVertexListOfStripe , Draw_MapOfAsciiString , Expr_MapOfNamedUnknown , Interface_IndexedMapOfAsciiString , IntTools_IndexedDataMapOfTransientAddress , MoniTool_IndexedDataMapOfShapeTransient , NCollection_IndexedDataMap< TheKeyType, TheItemType, Hasher > , NCollection_IndexedMap< TheKeyType, Hasher > , QANCollection_IndexedDataMapOfRealPnt , SelectMgr_IndexedDataMapOfOwnerCriterion , StdSelect_IndexedDataMapOfOwnerPrs , Storage_PType , TColStd_IndexedDataMapOfTransientTransient , TColStd_IndexedMapOfInteger , TColStd_IndexedMapOfReal , TColStd_IndexedMapOfTransient , TDF_AttributeIndexedMap , TDF_LabelIndexedMap , TopLoc_IndexedMapOfLocation , TopOpeBRepBuild_IndexedDataMapOfShapeVertexInfo , TopOpeBRepDS_IndexedDataMapOfShapeWithState , TopOpeBRepDS_IndexedDataMapOfVertexPoint , TopOpeBRepDS_MapOfShapeData , TopOpeBRepTool_IndexedDataMapOfShapeBox2d , TopOpeBRepTool_IndexedDataMapOfShapeBox , TopOpeBRepTool_IndexedDataMapOfShapeconnexity , TopOpeBRepTool_IndexedDataMapOfSolidClassifier , TopTools_IndexedDataMapOfShapeAddress , TopTools_IndexedDataMapOfShapeListOfShape , TopTools_IndexedDataMapOfShapeShape , TopTools_IndexedMapOfOrientedShape , TopTools_IndexedMapOfShape , Transfer_TransferMapOfProcessForFinder , Transfer_TransferMapOfProcessForTransient
- FindInstance() : STEPCAFControl_Reader
- FindIsKPart() : TopOpeBRepBuild_Builder
- FindItemWithNAUO() : STEPSelections_AssemblyExplorer
- FindKey() : AIS_IndexedDataMapOfOwnerPrs , BRepFill_IndexedDataMapOfOrientedShapeListOfShape , BRepMesh_VertexTool , ChFiDS_IndexedDataMapOfVertexListOfStripe , ChFiDS_StripeMap , Draw_MapOfAsciiString , Expr_MapOfNamedUnknown , Interface_IndexedMapOfAsciiString , IntTools_IndexedDataMapOfTransientAddress , MoniTool_IndexedDataMapOfShapeTransient , NCollection_IndexedDataMap< TheKeyType, TheItemType, Hasher > , NCollection_IndexedMap< TheKeyType, Hasher > , QANCollection_IndexedDataMapOfRealPnt , SelectMgr_IndexedDataMapOfOwnerCriterion , StdSelect_IndexedDataMapOfOwnerPrs , Storage_PType , TColStd_IndexedDataMapOfTransientTransient , TColStd_IndexedMapOfInteger , TColStd_IndexedMapOfReal , TColStd_IndexedMapOfTransient , TDF_AttributeIndexedMap , TDF_LabelIndexedMap , TopLoc_IndexedMapOfLocation , TopOpeBRepBuild_IndexedDataMapOfShapeVertexInfo , TopOpeBRepDS_IndexedDataMapOfShapeWithState , TopOpeBRepDS_IndexedDataMapOfVertexPoint , TopOpeBRepDS_MapOfShapeData , TopOpeBRepTool_IndexedDataMapOfShapeBox2d , TopOpeBRepTool_IndexedDataMapOfShapeBox , TopOpeBRepTool_IndexedDataMapOfShapeconnexity , TopOpeBRepTool_IndexedDataMapOfSolidClassifier , TopTools_IndexedDataMapOfShapeAddress , TopTools_IndexedDataMapOfShapeListOfShape , TopTools_IndexedDataMapOfShapeShape , TopTools_IndexedMapOfOrientedShape , TopTools_IndexedMapOfShape , Transfer_TransferMapOfProcessForFinder , Transfer_TransferMapOfProcessForTransient
- FindKnot() : DrawTrSurf_BSplineCurve2d , DrawTrSurf_BSplineCurve
- FindLabel() : DDF
- FindLast() : TDataStd_TreeNode
- FindLayer() : XCAFDoc_LayerTool
- FindLink() : Poly_MakeLoops
- FindMainShape() : XCAFDoc_ShapeTool
- FindMainShapeUsingMap() : XCAFDoc_ShapeTool
- FindModel() : TObj_Assistant
- FindNeighbourg() : TNaming_Localizer
- FindNeighbours() : TopOpeBRepBuild_ShapeSet , TopOpeBRepBuild_WireEdgeSet
- FindNextHeaderRecord() : StepData_StepReaderData
- FindNextRecord() : IGESData_IGESReaderData , Interface_FileReaderData , StepData_StepReaderData
- FindNextValidElement() : TopOpeBRepBuild_FaceBuilder
- FindNode() : NCollection_EBTree< TheObjType, TheBndType > , VrmlData_Group , VrmlData_Scene
- FindObject() : TObj_Model
- FindOperator() : ShapeProcess
- FindParameter() : Geom2dInt_TheProjPCurOfGInter , HLRBRep_TheProjPCurOfCInter , IntAna_Curve , IntCurve_IConicTool , IntCurve_ProjectOnPConicTool , IntImpParGen_ImpTool , IntPatch_ALine
- FindParameters() : IntTools_EdgeEdge
- FindPaveBlocks() : BOPAlgo_PaveFiller
- FindPoint() : BRepIntCurveSurface_Inter
- FindPole() : DrawTrSurf_BezierCurve2d , DrawTrSurf_BezierCurve , DrawTrSurf_BezierSurface , DrawTrSurf_BSplineCurve2d , DrawTrSurf_BSplineCurve , DrawTrSurf_BSplineSurface
- FindPresentation() : CDM_Document
- FindProc() : OpenGl_Context
- FindProjectableRoot() : IntTools_EdgeFace
- FindReader() : CDF_Application
- FindReaderFromFormat() : CDF_Application
- FindRootStates() : IntTools
- FindSameDomain() : TopOpeBRepBuild_Builder
- FindSameDomainSameOrientation() : TopOpeBRepBuild_Builder
- FindSameRank() : TopOpeBRepBuild_Builder
- FindSDRWithProduct() : STEPSelections_AssemblyExplorer
- FindSelectedOwnerFromIO() : AIS_LocalContext
- FindSelectedOwnerFromShape() : AIS_LocalContext
- FindShape() : STEPConstruct , TestTopOpe_BOOP , TNaming_Tool , XCAFDoc_ShapeTool
- FindShapeContext() : TNaming_Localizer
- FindSHUO() : XCAFDoc_ShapeTool
- FindSimpleRoot() : IntTools_EdgeFace
- FindSolutions() : IntTools_EdgeEdge
- FindState() : TopOpeBRepBuild_Tools
- FindState1() : TopOpeBRepBuild_Tools
- FindState2() : TopOpeBRepBuild_Tools
- FindStateThroughVertex() : TopOpeBRepBuild_Tools
- FindStorageDriver() : PCDM
- FindStoragePlugin() : CDM_Document
- FindStripEdges() : ShapeAnalysis_CheckSmallFace
- FindSubShape() : XCAFDoc_ShapeTool
- FindTag() : DDF_IOStream , FSD_CmpFile , FSD_File
- FindTarget() : STEPConstruct_ValidationProps
- FindTransient() : Transfer_ProcessForFinder , Transfer_ProcessForTransient
- FindTriangle() : Poly_CoherentTriangulation
- FindType() : TObj_Assistant
- FindTypedTransient() : Transfer_ProcessForFinder , Transfer_ProcessForTransient
- FindTypeIndex() : TObj_Assistant
- FindU() : Geom2dInt_TheIntersectorOfTheIntConicCurveOfGInter , HLRBRep_TheIntersectorOfTheIntConicCurveOfCInter , IntCurve_IntImpConicParConic
- FindUKnot() : DrawTrSurf_BSplineSurface
- FindUniqueContext() : TNaming
- FindUniqueContextSet() : TNaming
- FindUV() : BRepMesh_ShapeTool
- FindV() : Geom2dInt_TheIntersectorOfTheIntConicCurveOfGInter , HLRBRep_TheIntersectorOfTheIntConicCurveOfCInter , IntCurve_IntImpConicParConic
- findV() : NCollection_BaseVector , NCollection_BaseVector::MemBlock
- FindVersionDataType() : CDM_Document
- FindVertex() : StepToTopoDS_Tool
- FindVertexes() : BRepBuilderAPI_FastSewing
- FindVKnot() : DrawTrSurf_BSplineSurface
- FinishDiameterSize() : IGESAppli_PWBDrilledHole
- FinishDiaSize() : IGESAppli_DrilledHole
- FinishPosition() : StepFEA_CurveElementInterval
- Finite() : TopOpeBRepTool_face
- First() : AdvApp2Var_SequenceOfNode , AdvApp2Var_SequenceOfPatch , AdvApp2Var_SequenceOfStrip , AdvApp2Var_Strip , AIS_ListOfInteractive , AIS_SequenceOfDimension , AIS_SequenceOfInteractive , AppParCurves_SequenceOfMultiBSpCurve , AppParCurves_SequenceOfMultiCurve , Approx_SequenceOfHArray1OfReal , Aspect_SequenceOfColor , Bisector_PolyBis , Blend_SequenceOfPoint , Bnd_SeqOfBox , BOPDS_IndexRange , BRep_GCurve , BRep_ListOfCurveRepresentation , BRep_ListOfPointRepresentation , BRepAlgo_SequenceOfSequenceOfInteger , BRepBlend_SequenceOfLine , BRepBlend_SequenceOfPointOnRst , BRepCheck_ListOfStatus , BRepFill_ListOfOffsetWire , BRepFill_SequenceOfEdgeFaceAndOrder , BRepFill_SequenceOfFaceAndOrder , BRepFill_SequenceOfSection , BRepMesh_PairOfPolygon , BRepOffset_Interval , BRepOffset_ListOfInterval , BRepOffsetAPI_SequenceOfSequenceOfReal , BRepOffsetAPI_SequenceOfSequenceOfShape , CDM_ListOfDocument , CDM_ListOfReferences , ChFiDS_ListOfHElSpine , ChFiDS_ListOfStripe , ChFiDS_Regularities , ChFiDS_SequenceOfSpine , ChFiDS_SequenceOfSurfData , Contap_SequenceOfIWLineOfTheIWalking , Contap_SequenceOfPathPointOfTheSearch , Contap_SequenceOfSegmentOfTheSearch , Contap_TheSequenceOfLine , Contap_TheSequenceOfPoint , Convert_SequenceOfArray1OfPoles , DBRep_ListOfEdge , DBRep_ListOfFace , DBRep_ListOfHideData , DDF_TransactionStack , Draw_Box , Draw_Segment2D , Draw_Segment3D , Draw_SequenceOfDrawable3D , Expr_SequenceOfGeneralExpression , Expr_SequenceOfGeneralRelation , ExprIntrp_SequenceOfNamedExpression , ExprIntrp_SequenceOfNamedFunction , ExprIntrp_StackOfGeneralExpression , ExprIntrp_StackOfGeneralFunction , ExprIntrp_StackOfGeneralRelation , Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC2d , Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC , Extrema_SeqPCOfPCFOfEPCOfExtPC2d , Extrema_SeqPCOfPCFOfEPCOfExtPC , Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC2d , Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC , Extrema_SeqPOnCOfCCLocFOfLocECC2d , Extrema_SeqPOnCOfCCLocFOfLocECC , Extrema_SequenceOfPOnCurv2d , Extrema_SequenceOfPOnCurv , Extrema_SequenceOfPOnSurf , FEmTool_ListOfVectors , FEmTool_SeqOfLinConstr , Geom2dInt_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfGInter , Geom_SequenceOfBSplineSurface , GeomFill_SequenceOfAx2 , GeomFill_SequenceOfTrsf , GeomInt_SequenceOfParameterAndOrientation , GeomPlate_SequenceOfAij , GeomPlate_SequenceOfCurveConstraint , GeomPlate_SequenceOfPointConstraint , Graphic3d_ListOfShortReal , Graphic3d_SequenceOfStructure , Hatch_SequenceOfLine , Hatch_SequenceOfParameter , HatchGen_Domains , HatchGen_PointsOnElement , HatchGen_PointsOnHatching , HLRAlgo_InterferenceList , HLRAlgo_ListOfBPoint , HLRBRep_ListOfBPnt2D , HLRBRep_ListOfBPoint , HLRBRep_SeqOfShapeBounds , HLRBRep_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter , HLRTopoBRep_ListOfVData , IFSelect_SequenceOfAppliedModifiers , IFSelect_SequenceOfGeneralModifier , IFSelect_SequenceOfInterfaceModel , IFSelect_SessionDumper , IFSelect_TSeqOfDispatch , IFSelect_TSeqOfSelection , IntAna_ListOfCurve , IntCurveSurface_SequenceOfPnt , IntCurveSurface_SequenceOfSeg , Interface_SequenceOfCheck , Intf_SeqOfSectionLine , Intf_SeqOfSectionPoint , Intf_SeqOfTangentZone , IntPatch_SequenceOfIWLineOfTheIWalking , IntPatch_SequenceOfLine , IntPatch_SequenceOfPathPointOfTheSOnBounds , IntPatch_SequenceOfPoint , IntPatch_SequenceOfSegmentOfTheSOnBounds , IntPolyh_SeqOfStartPoints , IntRes2d_SequenceOfIntersectionPoint , IntRes2d_SequenceOfIntersectionSegment , Intrv_SequenceOfInterval , IntSurf_Couple , IntSurf_ListOfPntOn2S , IntSurf_SequenceOfCouple , IntSurf_SequenceOfInteriorPoint , IntSurf_SequenceOfPathPoint , IntTools_ListOfBox , IntTools_ListOfCurveRangeSample , IntTools_ListOfSurfaceRangeSample , IntTools_Range , IntTools_SequenceOfCommonPrts , IntTools_SequenceOfCurves , IntTools_SequenceOfPntOn2Faces , IntTools_SequenceOfRanges , IntTools_SequenceOfRoots , Law_Laws , LocOpe_SequenceOfCirc , LocOpe_SequenceOfLin , LocOpe_SequenceOfPntFace , LProp_SequenceOfCIType , MAT2d_SequenceOfConnexion , MAT2d_SequenceOfSequenceOfCurve , MAT2d_SequenceOfSequenceOfGeometry , MAT_ListOfBisector , MAT_ListOfEdge , MAT_SequenceOfArc , MAT_SequenceOfBasicElt , MDF_ARDriverSequence , MDF_ASDriverSequence , MDF_DriverListOfARDriverTable , MDF_DriverListOfASDriverTable , MeshVS_SequenceOfPrsBuilder , MeshVS_TwoNodes , Message_ListOfMsg , Message_SequenceOfPrinters , Message_SequenceOfProgressScale , MoniTool_SequenceOfElement , NCollection_Array1< TheItemType > , NCollection_List< TheItemType > , NCollection_Sequence< TheItemType > , NCollection_Vector< TheItemType > , NLPlate_SequenceOfHGPPConstraint , NLPlate_StackOfPlate , ObjMgt_PSeqOfExtRef , PBRep_GCurve , PCDM_SequenceOfDocument , PCDM_SequenceOfReference , PColgp_HSequenceOfDir , PColgp_HSequenceOfPnt , PColgp_HSequenceOfVec , PColgp_HSequenceOfXYZ , PDataStd_TreeNode , Plate_SequenceOfLinearScalarConstraint , Plate_SequenceOfLinearXYZConstraint , Plate_SequenceOfPinpointConstraint , Poly_CoherentTriPtr::Iterator , ProjLib_SequenceOfHSequenceOfPnt , PrsMgr_Presentations , PShort_HSequenceOfShortReal , PXCAFDoc_GraphNodeSequence , QANCollection_ListOfPnt , SelectMgr_ListOfFilter , SelectMgr_SequenceOfFilter , SelectMgr_SequenceOfOwner , SelectMgr_SequenceOfSelector , ShapeAnalysis_SequenceOfFreeBounds , ShapeFix_SequenceOfWireSegment , StepElement_SequenceOfCurveElementPurposeMember , StepElement_SequenceOfCurveElementSectionDefinition , StepElement_SequenceOfElementMaterial , StepElement_SequenceOfSurfaceElementPurposeMember , StepFEA_SequenceOfCurve3dElementProperty , StepFEA_SequenceOfElementGeometricRelationship , StepFEA_SequenceOfElementRepresentation , StepFEA_SequenceOfNodeRepresentation , StepRepr_SequenceOfMaterialPropertyRepresentation , StepRepr_SequenceOfRepresentationItem , STEPSelections_SequenceOfAssemblyComponent , STEPSelections_SequenceOfAssemblyLink , StlMesh_SequenceOfMesh , StlMesh_SequenceOfMeshDomain , StlMesh_SequenceOfMeshTriangle , Storage_SeqOfRoot , TColGeom2d_SequenceOfBoundedCurve , TColGeom2d_SequenceOfCurve , TColGeom2d_SequenceOfGeometry , TColGeom_SequenceOfBoundedCurve , TColGeom_SequenceOfCurve , TColGeom_SequenceOfSurface , TColgp_SequenceOfArray1OfPnt2d , TColgp_SequenceOfAx1 , TColgp_SequenceOfDir2d , TColgp_SequenceOfDir , TColgp_SequenceOfPnt2d , TColgp_SequenceOfPnt , TColgp_SequenceOfVec2d , TColgp_SequenceOfVec , TColgp_SequenceOfXY , TColgp_SequenceOfXYZ , TColStd_ListOfAsciiString , TColStd_ListOfInteger , TColStd_ListOfReal , TColStd_ListOfTransient , TColStd_SequenceOfAddress , TColStd_SequenceOfAsciiString , TColStd_SequenceOfBoolean , TColStd_SequenceOfExtendedString , TColStd_SequenceOfHAsciiString , TColStd_SequenceOfHExtendedString , TColStd_SequenceOfInteger , TColStd_SequenceOfReal , TColStd_SequenceOfTransient , TDataStd_BooleanList , TDataStd_ExtStringList , TDataStd_IntegerList , TDataStd_ListOfByte , TDataStd_ListOfExtendedString , TDataStd_RealList , TDataStd_ReferenceList , TDataStd_TreeNode , TDF_AttributeDeltaList , TDF_AttributeList , TDF_AttributeSequence , TDF_DeltaList , TDF_IDList , TDF_LabelList , TDF_LabelSequence , TDocStd_SequenceOfApplicationDelta , TDocStd_SequenceOfDocument , TestTopOpeDraw_ListOfPnt2d , TNaming_ListOfIndexedDataMapOfShapeListOfShape , TNaming_ListOfMapOfShape , TNaming_ListOfNamedShape , TopBas_ListOfTestInterference , TopoDS_ListOfShape , TopOpeBRep_ListOfBipoint , TopOpeBRep_SequenceOfPoint2d , TopOpeBRepBuild_ListOfListOfLoop , TopOpeBRepBuild_ListOfLoop , TopOpeBRepBuild_ListOfPave , TopOpeBRepBuild_ListOfShapeListOfShape , TopOpeBRepDS_ListOfInterference , TopOpeBRepTool_ListOfC2DF , TopTools_ListOfShape , TopTools_SequenceOfShape , Transfer_SequenceOfBinder , Transfer_SequenceOfFinder , TransferBRep_SequenceOfTransferResultInfo , TShort_SequenceOfShortReal , Units_QtsSequence , Units_TksSequence , Units_UtsSequence , Visual3d_SequenceOfLight , Visual3d_SequenceOfView , XCAFDoc_GraphNodeSequence , XmlLDrivers_SequenceOfNamespaceDef
- FirstAngle() : Aspect_RectangularGrid
- FirstAttribute() : TDF_LabelNode
- FirstAxisAspect() : Prs3d_DatumAspect
- FirstAxisLength() : Prs3d_DatumAspect
- FirstAxisOfInertia() : GProp_PrincipalProps
- FirstBisector() : MAT_Bisector , MAT_Edge
- FirstChild() : TDF_LabelNode
- FirstConstr() : AdvApprox_SimpleApprox
- FirstConstraint() : AppDef_BSpParFunctionOfMyBSplGradientOfBSplineCompute , AppDef_ParFunctionOfMyGradientbisOfBSplineCompute , AppDef_ParFunctionOfMyGradientOfCompute , AppDef_ParFunctionOfTheGradient , AppDef_TheFunction , BRepApprox_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfApprox , BRepApprox_ParFunctionOfMyGradientbisOfTheComputeLineOfApprox , BRepApprox_ParFunctionOfMyGradientOfTheComputeLineBezierOfApprox , GeomInt_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfWLApprox , GeomInt_ParFunctionOfMyGradientbisOfTheComputeLineOfWLApprox , GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox
- FirstCurrentObject() : AIS_InteractiveContext
- FirstCurve() : ChFiDS_Stripe , IGESDimen_CurveDimension , IGESGeom_RuledSurface
- FirstCurve2d() : IntTools_Curve
- FirstDatum() : TopLoc_Location
- FirstDeleted() : QANewBRepNaming_BooleanOperation
- FirstEdge() : IntPolyh_Triangle , MAT_Bisector
- FirstEdgeOrientation() : IntPolyh_Triangle
- FirstElement() : MAT_Arc
- FirstEntity() : IFGraph_SubPartsIterator
- FirstExtensionValue() : ChFiDS_SurfData
- FirstFace() : Draft_EdgeInfo , Draft_FaceInfo
- FirstIndex() : BRepMesh_PairOfIndex , MAT2d_BiInt , NCollection_BaseVector::MemBlock
- FirstIntersection() : PeriodicInterval
- FirstItem() : MAT_ListOfBisector , MAT_ListOfEdge , TCollection_BaseSequence
- FirstLambda() : AppDef_BSpParLeastSquareOfMyBSplGradientOfBSplineCompute , AppDef_ParLeastSquareOfMyGradientbisOfBSplineCompute , AppDef_ParLeastSquareOfMyGradientOfCompute , AppDef_ParLeastSquareOfTheGradient , AppDef_TheLeastSquares , BRepApprox_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfApprox , BRepApprox_ParLeastSquareOfMyGradientbisOfTheComputeLineOfApprox , BRepApprox_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfApprox , GeomInt_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfWLApprox , GeomInt_ParLeastSquareOfMyGradientbisOfTheComputeLineOfWLApprox , GeomInt_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfWLApprox
- FirstLeader() : IGESDimen_AngularDimension , IGESDimen_CurveDimension , IGESDimen_DiameterDimension , IGESDimen_LinearDimension
- FirstLocationInSet() : PCollection_HAsciiString , PCollection_HExtendedString , TCollection_AsciiString , TCollection_HAsciiString
- FirstLocationNotInSet() : PCollection_HAsciiString , PCollection_HExtendedString , TCollection_AsciiString , TCollection_HAsciiString
- FirstMember() : Expr_SingleRelation
- FirstModified() : QANewBRepNaming_BooleanOperation
- FirstName() : StepBasic_Person
- FirstNode() : AdvApp2Var_Framework , BRepMesh_OrientedEdge , MAT_Arc , OpenGl_Group
- FirstNotApprox() : AdvApp2Var_Framework , AdvApp2Var_Network
- FirstOffsetDistance() : IGESGeom_OffsetCurve
- FirstOnly() : IFGraph_Compare
- FirstOperand() : Expr_BinaryExpression , StepShape_BooleanResult
- FirstParam() : ShapeFix_EdgeProjAux
- FirstParameter() : Adaptor2d_Curve2d , Adaptor2d_HCurve2d , Adaptor2d_Line2d , Adaptor3d_Curve , Adaptor3d_CurveOnSurface , Adaptor3d_HCurve , Adaptor3d_IsoCurve , Adaptor3d_OffsetCurve , AppCont_Function , Approx_CurvlinFunc , Bisector_BisecAna , Bisector_BisecCC , Bisector_BisecPC , BiTgte_CurveOnEdge , BiTgte_CurveOnVertex , BRepAdaptor_CompCurve , BRepAdaptor_Curve , BRepBlend_HCurve2dTool , BRepBlend_HCurveTool , BRepFill_MultiLine , BRepGProp_EdgeTool , BRepGProp_Face , BRepLProp_CurveTool , ChFiDS_ElSpine , ChFiDS_FaceInterference , ChFiDS_Spine , Contap_HCurve2dTool , Extrema_Curve2dTool , Extrema_CurveTool , FilletSurf_Builder , FilletSurf_InternalBuilder , Geom2d_BezierCurve , Geom2d_BSplineCurve , Geom2d_Circle , Geom2d_Curve , Geom2d_Ellipse , Geom2d_Hyperbola , Geom2d_Line , Geom2d_OffsetCurve , Geom2d_Parabola , Geom2d_TrimmedCurve , Geom2dAdaptor_Curve , Geom2dGcc_CurveTool , Geom2dGcc_CurveToolGeo , Geom2dInt_Geom2dCurveTool , Geom2dLProp_Curve2dTool , Geom_BezierCurve , Geom_BSplineCurve , Geom_Circle , Geom_Curve , Geom_Ellipse , Geom_Hyperbola , Geom_Line , Geom_OffsetCurve , Geom_Parabola , Geom_TrimmedCurve , GeomAdaptor_Curve , GeomFill_SnglrFunc , GeomInt_LineTool , GeomLProp_CurveTool , GeomPlate_CurveConstraint , HLRBRep_BCurveTool , HLRBRep_CLPropsATool , HLRBRep_Curve , HLRBRep_CurveTool , HLRBRep_LineTool , IntCurveSurface_TheHCurveTool , IntPatch_ALine , IntPatch_HCurve2dTool , IntRes2d_Domain , Law_BSpline , LProp3d_CurveTool , MAT_Bisector , ProjLib_CompProjectedCurve , ProjLib_ProjectedCurve , ProjLib_ProjectOnPlane , ShapeExtend_ComplexCurve
- FirstParameters() : ChFiDS_Stripe
- FirstPC() : Draft_EdgeInfo
- FirstPCurve() : ChFiDS_Stripe
- FirstPCurveOrientation() : ChFiDS_Stripe
- FirstPoint() : AIS_AngleDimension , AIS_LengthDimension , AppDef_MyLineTool , BRepApprox_TheMultiLineOfApprox , BRepApprox_TheMultiLineToolOfApprox , Contap_TheIWLineOfTheIWalking , Contap_TheSegmentOfTheSearch , GeomInt_TheMultiLineOfWLApprox , GeomInt_TheMultiLineToolOfWLApprox , HatchGen_Domain , IntCurveSurface_IntersectionSegment , IntPatch_ALine , IntPatch_GLine , IntPatch_RLine , IntPatch_TheIWLineOfTheIWalking , IntPatch_TheSegmentOfTheSOnBounds , IntPatch_WLine , IntPolyh_Edge , IntPolyh_Triangle , IntRes2d_Domain , IntRes2d_IntersectionSegment , MAT2d_Tool2d
- FirstPointAndTgt() : ChFiDS_ElSpine
- FirstPointIndex() : Contap_TheIWLineOfTheIWalking , IntPatch_TheIWLineOfTheIWalking
- FirstPower() : TopLoc_Location
- FirstQuantity() : Units
- FirstShape() : AIS_AngleDimension , AIS_LengthDimension , AIS_Relation , BRepFeat_Form , BRepFeat_RibSlot , BRepFill_Pipe , BRepFill_PipeShell , BRepOffsetAPI_MakePipe , BRepOffsetAPI_MakePipeShell , BRepOffsetAPI_ThruSections , BRepPrimAPI_MakePrism , BRepPrimAPI_MakeRevol , BRepPrimAPI_MakeSweep , BRepSweep_NumLinearRegularSweep , BRepSweep_Prism , BRepSweep_Revol , LocOpe_DPrism , LocOpe_LinearForm , LocOpe_Pipe , LocOpe_Prism , LocOpe_Revol , LocOpe_RevolutionForm
- FirstSpineParam() : ChFiDS_SurfData
- FirstStatus() : ChFiDS_Spine , Message_ExecStatus
- FirstTolerance() : IntRes2d_Domain
- FirstTriangle() : IntPolyh_Edge
- FirstU() : PGeom2d_TrimmedCurve , PGeom_RectangularTrimmedSurface , PGeom_TrimmedCurve
- FirstUKnotIndex() : BSplCLib , Geom2d_BSplineCurve , Geom_BSplineCurve , Geom_BSplineSurface , Law_BSpline
- FirstUParameter() : Adaptor3d_HSurface , Adaptor3d_HSurfaceTool , Adaptor3d_Surface , Adaptor3d_SurfaceOfLinearExtrusion , Adaptor3d_SurfaceOfRevolution , BRepAdaptor_Surface , BRepApprox_SurfaceTool , GeomAdaptor_Surface , HLRBRep_BSurfaceTool , HLRBRep_Surface , HLRBRep_SurfaceTool
- FirstUse() : TNaming_RefShape
- FirstUV() : PBRep_CurveOnSurface
- FirstUV2() : PBRep_CurveOnClosedSurface
- FirstV() : PGeom_RectangularTrimmedSurface
- FirstValue() : IntPolyh_Couple
- FirstVector() : MAT_Bisector
- FirstVertex() : BRepBuilderAPI_MakePolygon , BRepFilletAPI_LocalOperation , BRepFilletAPI_MakeChamfer , BRepFilletAPI_MakeFillet , BRepLib_MakePolygon , ChFi3d_Builder , ChFiDS_Spine , ShapeAnalysis_Edge , ShapeFix_WireSegment , Sweep_NumShapeTool , TopExp
- FirstVKnotIndex() : Geom_BSplineSurface
- FirstVParameter() : Adaptor3d_HSurface , Adaptor3d_HSurfaceTool , Adaptor3d_Surface , Adaptor3d_SurfaceOfLinearExtrusion , Adaptor3d_SurfaceOfRevolution , BRepAdaptor_Surface , BRepApprox_SurfaceTool , GeomAdaptor_Surface , HLRBRep_BSurfaceTool , HLRBRep_Surface , HLRBRep_SurfaceTool
- firstWindow : Draw_Window
- FirstWitness() : IGESDimen_LinearDimension
- FirstWitnessLine() : IGESDimen_AngularDimension , IGESDimen_CurveDimension
- FitAll() : V3d_View
- FitAll3d() : NIS_View
- FitMinMax() : V3d_View
- FitSelected() : AIS_InteractiveContext
- FitTextAlignment() : AIS_AngleDimension
- FitTextAlignmentForLinear() : AIS_Dimension
- FitView() : Draw_Viewer
- Fix() : ShapeFix_WireVertex
- FixAddCurve3d() : ShapeFix_Edge
- FixAddCurve3dMode() : ShapeFix_Wire
- FixAddNaturalBound() : ShapeFix_Face
- FixAddNaturalBoundMode() : ShapeFix_Face
- FixAddPCurve() : ShapeFix_Edge
- FixAddPCurveMode() : ShapeFix_Wire
- FixClosed() : ShapeFix_Wire
- FixConnected() : ShapeFix_Wire
- FixConnectedMode() : ShapeFix_Wire
- FixDegenerated() : ShapeFix_Wire
- FixDegeneratedMode() : ShapeFix_Wire
- FixEdgeCurves() : ShapeFix_Wire
- FixEdgeCurvesMode() : ShapeFix_Wire
- FixEdgeTool() : ShapeFix_Shape , ShapeFix_Wire
- FixedTangent() : GeomLib_Check2dBSplineCurve , GeomLib_CheckBSplineCurve
- FixFace() : ShapeFix_FixSmallFace
- FixFaceMode() : ShapeFix_Shell
- FixFaceOrientation() : ShapeFix_Shell
- FixFaceTool() : ShapeFix_Shape , ShapeFix_Shell
- FixFreeFaceMode() : ShapeFix_Shape
- FixFreeShellMode() : ShapeFix_Shape
- FixFreeWireMode() : ShapeFix_Shape
- FixGap2d() : ShapeFix_Wire
- FixGap3d() : ShapeFix_Wire
- FixGaps2d() : ShapeFix_Wire
- FixGaps2dMode() : ShapeFix_Wire
- FixGaps3d() : ShapeFix_Wire
- FixGaps3dMode() : ShapeFix_Wire
- FixGapsByRangesMode() : ShapeFix_Wire
- FixIntersectingEdgesMode() : ShapeFix_Wire
- FixIntersectingWires() : ShapeFix_Face , ShapeFix_IntersectionTool
- FixIntersectingWiresMode() : ShapeFix_Face
- FixKnots() : ShapeConstruct_Curve
- FixLacking() : ShapeFix_Wire
- FixLackingMode() : ShapeFix_Wire
- FixLoopWire() : ShapeFix_Face
- FixLoopWiresMode() : ShapeFix_Face
- FixMissingSeam() : ShapeFix_Face
- FixMissingSeamMode() : ShapeFix_Face
- FixNonAdjacentIntersectingEdgesMode() : ShapeFix_Wire
- FixNotchedEdges() : ShapeFix_Wire
- FixNotchedEdgesMode() : ShapeFix_Wire
- FixOrientation() : ShapeFix_Face
- FixOrientationMode() : ShapeFix_Face , ShapeFix_Shell
- FixPeriodicDegenerated() : ShapeFix_Face
- FixPeriodicDegeneratedMode() : ShapeFix_Face
- FixPinFace() : ShapeFix_FixSmallFace
- FixRemoveCurve3d() : ShapeFix_Edge
- FixRemoveCurve3dMode() : ShapeFix_Wire
- FixRemovePCurve() : ShapeFix_Edge
- FixRemovePCurveMode() : ShapeFix_Wire
- FixReorder() : ShapeFix_Wire
- FixReorderMode() : ShapeFix_Wire
- FixReversed2d() : ShapeFix_Edge
- FixReversed2dMode() : ShapeFix_Wire
- FixSame() : ShapeFix_WireVertex
- FixSameParameter() : ShapeFix_Edge
- FixSameParameterMode() : ShapeFix_Shape , ShapeFix_Wire
- FixSeam() : ShapeFix_Wire
- FixSeamMode() : ShapeFix_Wire
- FixSelfIntersectingEdgeMode() : ShapeFix_Wire
- FixSelfIntersection() : ShapeFix_Wire
- FixSelfIntersectionMode() : ShapeFix_Wire
- FixSelfIntersectWire() : ShapeFix_IntersectionTool
- FixShape() : ShapeAlgo_ToolContainer , ShapeFix_FixSmallFace
- FixShellMode() : ShapeFix_Solid
- FixShellTool() : ShapeFix_Shape , ShapeFix_Solid
- FixShifted() : ShapeFix_Wire
- FixShiftedMode() : ShapeFix_Wire
- FixSmall() : ShapeFix_Wire
- FixSmallAreaWire() : ShapeFix_Face
- FixSmallAreaWireMode() : ShapeFix_Face
- FixSmallEdges() : ShapeFix_Wireframe
- FixSmallMode() : ShapeFix_Wire
- FixSolidMode() : ShapeFix_Shape
- FixSolidTool() : ShapeFix_Shape
- FixSplitFace() : ShapeFix_Face , ShapeFix_FixSmallFace
- FixSplitFaceMode() : ShapeFix_Face
- FixSpotFace() : ShapeFix_FixSmallFace
- FixStripFace() : ShapeFix_FixSmallFace
- FixTailMode() : ShapeFix_Wire
- FixTails() : ShapeFix_Wire
- FixTangent() : GeomLib_Check2dBSplineCurve , GeomLib_CheckBSplineCurve
- FixVertexPosition() : ShapeFix
- FixVertexPositionMode() : ShapeFix_Shape
- FixVertexTolerance() : ShapeFix_Edge
- FixVertexToleranceMode() : ShapeFix_Wire
- FixVertexTolMode() : ShapeFix_Shape
- FixWireGaps() : ShapeFix_Wireframe
- FixWireMode() : ShapeFix_Face
- FixWiresTwoCoincEdges() : ShapeFix_Face
- FixWireTool() : ShapeFix_Face , ShapeFix_Shape
- Flag() : BOPDS_PassKeyBoolean , BOPDS_ShapeInfo , CALL_DEF_TRANSFORM_PERSISTENCE , IGESGraph_DrawingUnits , IntTools_MarkedRangeSet
- FlagName() : IFSelect_SelectFlag , Interface_BitMap
- FlagNumber() : Interface_BitMap
- Flags : Graphic3d_ZLayerSettings
- flags : Poly_MakeLoops::Link
- FlatBezierKnots() : BSplCLib
- FlatIndex() : BSplCLib
- Flatknots : FairCurve_Batten
- fleche : ChFi3d_Builder
- FloatingEdgesMode() : BRepBuilderAPI_Sewing
- FloatWriter() : IGESData_IGESWriter , StepData_StepWriter
- FlowAssociativity() : IGESAppli_Flow , IGESAppli_PipingFlow
- FlowLineName() : IGESAppli_FlowLineSpec
- FlowName() : IGESAppli_Flow , IGESAppli_PipingFlow
- Flush() : Draw_Display , Draw_Viewer , Draw_Window , OpenGl_VertexBufferEditor< theVec_t > , OSD_PerfMeter
- FlushEndOfLine() : DDF_IOStream , FSD_CmpFile , FSD_File
- FnValue() : APIHeaderSection_MakeHeader
- Focal() : Draw_Viewer , Geom2d_Ellipse , Geom2d_Hyperbola , Geom2d_Parabola , Geom_Ellipse , Geom_Hyperbola , Geom_Parabola , gp_Elips2d , gp_Elips , gp_Hypr2d , gp_Hypr , gp_Parab2d , gp_Parab
- FocalDist() : StepGeom_Parabola
- FocalDistance() : Vrml_OrthographicCamera , Vrml_PerspectiveCamera
- Focale() : V3d_View
- FocalLength() : PGeom2d_Parabola , PGeom_Parabola
- FocalReferencePoint() : V3d_View
- Focus() : Geom2d_Parabola , Geom_Parabola , gp_Parab2d , gp_Parab , HLRAlgo_Projector
- Focus1() : Geom2d_Ellipse , Geom2d_Hyperbola , Geom_Ellipse , Geom_Hyperbola , gp_Elips2d , gp_Elips , gp_Hypr2d , gp_Hypr
- Focus2() : Geom2d_Ellipse , Geom2d_Hyperbola , Geom_Ellipse , Geom_Hyperbola , gp_Elips2d , gp_Elips , gp_Hypr2d , gp_Hypr
- FocusType : Graphic3d_Camera
- FocusType_Absolute : Graphic3d_Camera
- FocusType_Relative : Graphic3d_Camera
- Folder() : CDF_Store , CDM_Document , CDM_MetaData
- Font : Graphic3d_CAspectText , StepVisual_TextLiteral
- Font_BRepFont() : Font_BRepFont
- Font_FTFont() : Font_FTFont
- Font_FTLibrary() : Font_FTLibrary
- Font_SystemFont() : Font_SystemFont
- FontAspect() : Font_SystemFont , OpenGl_AspectText
- FontCode() : IGESDimen_GeneralNote , IGESGraph_TextDisplayTemplate , IGESGraph_TextFontDef
- FontDefinition() : IGESDraw_ViewsVisibleWithAttr
- FontEntity() : IGESDimen_GeneralNote , IGESGraph_TextDisplayTemplate
- FontHeight() : Font_SystemFont
- FontKey() : OpenGl_Text
- FontName() : Font_SystemFont , IGESGraph_TextFontDef , OpenGl_AspectText
- FontPath() : Font_SystemFont
- FontStyle() : IGESDimen_NewGeneralNote
- For() : OSD_Parallel
- forcedRelease() : OpenGl_Context
- ForceIn() : BRepClass3d_SClassifier
- ForceInterfVE() : BOPAlgo_PaveFiller
- ForceInterfVF() : BOPAlgo_PaveFiller
- ForceOut() : BRepClass3d_SClassifier
- ForceProjection() : ShapeAnalysis_TransferParametersProj
- ForceTolerance() : TopOpeBRep_FaceEdgeIntersector
- ForceTolerances() : TopOpeBRep_EdgesIntersector , TopOpeBRep_FacesIntersector
- ForEach() : OSD_Parallel
- Forget() : TDF_Attribute
- ForgetAllAttributes() : TDF_Attribute , TDF_Label
- ForgetAttribute() : TDF_Attribute , TDF_Label
- Forgotten() : IFGraph_Cumulate
- Form() : Geom2d_Transformation , Geom_Transformation , gp_GTrsf2d , gp_GTrsf , gp_Trsf2d , gp_Trsf , IFSelect_Editor , IGESData_IGESType
- Format() : CDF_Application , IGESSelect_FloatFormat , Image_PixMap , OpenGl_TextFormatter , OpenGl_TextureFormat , STEPConstruct_ExternRefs , StepSelect_FloatFormat
- FormatForRange() : Interface_FloatWriter
- Formation() : StepBasic_ProductDefinition
- FormatNb() : BinTools_ShapeSet , TopTools_ShapeSet
- Formats() : AppStd_Application , AppStdL_Application , CDF_Application , TDocStd_Application , TObj_Application , XCAFApp_Application
- FormatString() : IGESDimen_DimensionUnits
- FormNumber() : IGESData_IGESEntity
- FormVariance() : StepShape_LimitsAndFits
- Found() : BRepBuilderAPI_FindPlane , BRepLib_FindSurface
- FoundOut() : TopOpeBRepBuild_VertexInfo
- FOVy() : Graphic3d_Camera
- Fraction() : IGESSolid_SolidOfRevolution
- Fractional() : Units_Measurement
- FractionFlag() : IGESDimen_DimensionTolerance , IGESDimen_DimensionUnits
- FrameOfReference() : StepBasic_ApplicationContextElement , StepBasic_Product , StepBasic_ProductDefinition
- FrameOfReferenceValue() : StepBasic_Product
- Free() : Aspect_GenId , math_DoubleTab , math_SingleTab< T > , NCollection_AccAllocator::Block , NCollection_AccAllocator , NCollection_AlignedAllocator , NCollection_BaseAllocator , NCollection_Buffer , NCollection_HeapAllocator , NCollection_IncAllocator , NCollection_WinHeapAllocator , NIS_Allocator , Standard , Standard_MMgrOpt , Standard_MMgrRaw , Standard_MMgrRoot , Standard_MMgrTBBalloc , TopoDS_Shape , TopoDS_TShape
- FreeAligned() : Standard
- FreeAngle() : DrawFairCurve_Batten
- FreeBound() : ShapeAnalysis_FreeBoundData
- FreeBoundaryAspect() : Prs3d_Drawer , VrmlConverter_Drawer
- FreeBoundaryDraw() : Prs3d_Drawer , VrmlConverter_Drawer
- FreeCurvature() : DrawFairCurve_MinimalVariation
- Freedom() : StepFEA_FreedomAndCoefficient
- Freedoms() : StepFEA_FreedomsList
- FreeEdge() : BRepBuilderAPI_Sewing
- FreeEdges() : BRepMesh_Delaun , ShapeAnalysis_Shell
- FreeEvent() : OSD_MAllocHook::Callback , OSD_MAllocHook::CollectBySize , OSD_MAllocHook::LogFileHandler
- FreeMemory() : Standard_MMgrOpt
- FreePools() : Standard_MMgrOpt
- FreeSize() : NCollection_AccAllocator::Block
- FreeSliding() : DrawFairCurve_Batten
- FreezeInitial() : Interface_LineBuffer
- Fref() : TopOpeBRepTool_CORRISO , TopOpeBRepTool_REGUW
- frmr4 : maovpch_1_
- frmr8 : maovpch_1_
- FromDocument() : CDM_Reference
- fromFTPoints() : Font_FTFont
- FromLib() : MoniTool_TypedValue
- FromLocale() : NCollection_UtfString< Type >
- FromReferencesNumber() : CDM_Document
- FromSI() : Units
- FromTo() : MDF , XmlMDF
- FromUnicode() : NCollection_UtfString< Type >
- Front : Graphic3d_CAspectFillArea , OPENGL_FOG , OPENGL_ZCLIP , QANewBRepNaming_Box
- front_plane : view_map3
- FrontAdd() : MAT_ListOfBisector , MAT_ListOfEdge
- FrontCulling() : OpenGl_Workspace
- FrontFace() : BRepPrimAPI_MakeBox
- Frontier() : BRepMesh_Delaun
- FrontierLinks() : BRepMesh_SelectorOfDataStructureOfDelaun
- FrontMaterial() : Graphic3d_AspectFillArea3d , VrmlConverter_ShadingAspect
- FrontPlane() : IGESDraw_View
- FrontPlaneClipping() : StepVisual_ViewVolume
- FrontPlaneDistance : CALL_DEF_VIEWMAPPING , IGESDraw_PerspectiveView , StepVisual_ViewVolume
- FrontZClipping : CALL_DEF_VIEWCONTEXT
- FrontZClippingIsOn() : Visual3d_ContextView
- Frustum() : Graphic3d_Camera
- FS_Degenerated : BRepBuilderAPI_FastSewing
- FS_Edge() : BRepBuilderAPI_FastSewing::FS_Edge
- FS_EmptyInput : BRepBuilderAPI_FastSewing
- FS_Exception : BRepBuilderAPI_FastSewing
- FS_Face() : BRepBuilderAPI_FastSewing::FS_Face
- FS_FaceWithNullSurface : BRepBuilderAPI_FastSewing
- FS_FindEdgeError : BRepBuilderAPI_FastSewing
- FS_FindVertexError : BRepBuilderAPI_FastSewing
- FS_InfiniteSurface : BRepBuilderAPI_FastSewing
- FS_NotNaturalBoundsFace : BRepBuilderAPI_FastSewing
- FS_OK : BRepBuilderAPI_FastSewing
- FS_Statuses : BRepBuilderAPI_FastSewing
- FS_VARStatuses : BRepBuilderAPI_FastSewing
- FS_Vertex() : BRepBuilderAPI_FastSewing::FS_Vertex
- FSD_BinaryFile() : FSD_BinaryFile
- FSD_CmpFile() : FSD_CmpFile
- FSD_File() : FSD_File
- FsValue() : APIHeaderSection_MakeHeader
- FTFont() : OpenGl_Font
- FToler() : AdvApp2Var_Context
- FullTransformation() : HLRAlgo_Projector
- Func() : GeomFill_CoonsAlgPatch
- FuncDescription() : IGESAppli_LevelFunction
- FuncDescriptionCode() : IGESAppli_LevelFunction
- Function() : BRepApprox_TheInt2SOfThePrmPrmSvSurfacesOfApprox , Expr_BinaryFunction , Expr_FunctionDerivative , Expr_PolyFunction , Expr_UnaryFunction , GeomInt_TheInt2SOfThePrmPrmSvSurfacesOfWLApprox , HLRBRep_TheExactInterCSurf , IGESGeom_OffsetCurve , IntCurveSurface_TheExactHInter , IntPatch_CurvIntSurf , IntWalk_TheInt2S
- FunctionallyDefinedTransformation() : StepRepr_Transformation
- FunctionCode() : IGESAppli_PWBDrilledHole , IGESDraw_ConnectPoint
- FunctionFlag() : IGESAppli_Flow , IGESDraw_ConnectPoint
- FunctionIdentifier() : IGESDraw_ConnectPoint
- FunctionMatrix() : AppDef_BSpParFunctionOfMyBSplGradientOfBSplineCompute , AppDef_BSpParLeastSquareOfMyBSplGradientOfBSplineCompute , AppDef_ParLeastSquareOfMyGradientbisOfBSplineCompute , AppDef_ParLeastSquareOfMyGradientOfCompute , AppDef_ParLeastSquareOfTheGradient , AppDef_TheLeastSquares , BRepApprox_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfApprox , BRepApprox_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfApprox , BRepApprox_ParLeastSquareOfMyGradientbisOfTheComputeLineOfApprox , BRepApprox_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfApprox , GeomInt_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfWLApprox , GeomInt_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfWLApprox , GeomInt_ParLeastSquareOfMyGradientbisOfTheComputeLineOfWLApprox , GeomInt_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfWLApprox
- FunctionMultiply() : BSplCLib , BSplSLib
- FunctionName() : BRepMesh_DiscretFactory , IGESDraw_ConnectPoint
- FunctionParameter() : IGESGeom_OffsetCurve
- FunctionReparameterise() : BSplCLib
- Functions() : OpenGl_Context
- FunctionSetErrors() : math_FunctionSetRoot , math_NewtonFunctionSetRoot
- FunctionTemplate() : IGESDraw_ConnectPoint
- FunctionType() : Contap_SurfFunction
- FunctionValues() : math_BracketMinimum
- Fus() : BRepAlgo_BooleanOperations
- Fuse() : Voxel_BooleanOperation
- FuseAtEnd() : Intrv_Interval
- FuseAtStart() : Intrv_Interval
- FuseEdges() : BRepAlgoAPI_BooleanOperation
- FuseIntervals() : GeomLib
- FusionOfBasicElts() : MAT_Graph
- FuzzyValue() : BOPAlgo_ArgumentAnalyzer , BOPAlgo_Builder , BOPAlgo_PaveFiller , BOPDS_DS , BOPTest_Objects , BRepAlgoAPI_BuilderAlgo , BRepAlgoAPI_Check
- fv : math_BrentMinimum
- FValues : math_NewtonFunctionSetRoot
- fw : math_BrentMinimum
- FWOSDriver_DriverFactory() : FWOSDriver_DriverFactory
- fx : math_BrentMinimum